﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Participant List";
}

<div class="text-center">
    <h1 class="display-4">Participant List</h1>
</div>

<div class="row text-end">
    <div class="col">
        <a asp-page="/Participant/Create" class="btn btn-primary">Create</a>
    </div>
</div>

<table class="table table-hovered">
    <thead>
        <tr>
            <th>
                No.
            </th>
            <th>
                Session Name
            </th>
            <th>
                Participant Name
            </th>
            <th>
                Company
            </th>
        </tr>
    </thead>
    <tbody>
        @{
            var pageIndex = 1;
            foreach (var participant in Model.Participants)
            {
                <tr>
                    <td>
                        @pageIndex
                    </td>
                    <td>
                        @participant.SessionName
                    </td>
                    <td>
                        @participant.ParticipantName
                    </td>
                    <td>
                        @participant.Company
                    </td>
                </tr>

                pageIndex++;
            }
        }
    </tbody>
</table>
